X-Git-Url: https://zdv2.bktei.com/gitweb/BK-2020-03.git/blobdiff_plain/00e89a7caee7337af8480c38452c95e2afd9e087..7c79d4ad86c1f792a3091c1317f7d04ac53f0bef:/unitproc/bktemp-setTimeZoneEV

diff --git a/unitproc/bktemp-setTimeZoneEV b/unitproc/bktemp-setTimeZoneEV
index 5c780ce..f51e16a 100644
--- a/unitproc/bktemp-setTimeZoneEV
+++ b/unitproc/bktemp-setTimeZoneEV
@@ -8,41 +8,42 @@ try() { "$@" || die "cannot $*"; }
 setTimeZoneEV(){
     # Desc: Set time zone environment variable TZ
     # Usage: setTimeZoneEV arg1
-    # Input: arg1: 'date'-compatible timezone string (ex: "America/New_York")
+    # Version 0.1.3
+    # In : arg1: 'date'-compatible timezone string (ex: "America/New_York")
     #        TZDIR env var (optional; default: "/usr/share/zoneinfo")
-    # Output: exports TZ
+    # Out: exports TZ (env var)
     #         exit code 0 on success
     #         exit code 1 on incorrect number of arguments
     #         exit code 2 if unable to validate arg1
-    # Depends: yell, printenv, bash 5
-    # Tested on: Debian 10
-    ARG1="$1"
-    local tzDir returnState
+    # Depends: bash 5.0.3, printenv 8.30, yell()
+    local tzDir returnState argTimeZone
+
+    argTimeZone="$1";
     if ! [[ $# -eq 1 ]]; then
 	yell "ERROR:Invalid argument count.";
 	return 1;
-    fi
+    fi;
 
     # Read TZDIR env var if available
     if printenv TZDIR 1>/dev/null 2>&1; then
 	tzDir="$(printenv TZDIR)";
     else
 	tzDir="/usr/share/zoneinfo";
-    fi
+    fi;
     
     # Validate TZ string
-    if ! [[ -f "$tzDir"/"$ARG1" ]]; then
+    if ! [[ -f "$tzDir"/"$argTimeZone" ]]; then
 	yell "ERROR:Invalid time zone argument.";
 	return 2;
     else
     # Export ARG1 as TZ environment variable
-	TZ="$ARG1" && export TZ && returnState="true";
-    fi
+	TZ="$argTimeZone" && export TZ && returnState="true";
+    fi;
 
     # Determine function return code
     if [ "$returnState" = "true" ]; then
 	return 0;
-    fi
+    fi;
 } # Exports TZ environment variable
 
 #==BEGIN sample code==
@@ -67,6 +68,8 @@ date --iso-8601=seconds
 cmd4="setTimeZoneEV Pacific/Lemuria"
 echo "Running:$cmd4"; $cmd4; echo "Exit code:$?"
 date --iso-8601=seconds; echo "==============="; sleep 2
+
+try setTimeZoneEV Atlantic/Atlantis
 #==END sample code==
 
 # Author: Steven Baltakatei Sandoval